<?php
#G
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii/Melia

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");
include("../include/utiljs.php");
$statut=$_REQUEST['statut'];
opensession($statut,false);


print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
?>
<HTML>

<HEAD>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<TITLE>Liste des classes</TITLE>
<BASE TARGET="_self">
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
<script language="javascript">
    function classeestbonne() { //vérifie le formulaire avant envoi
    var frm=document.new_classe;
    if (!frm.nom_classe.value) {
       alert("Le nom de la classe est vide.");
       return false;
       }
       return true;
    }
</script>
</HEAD>


<?php
switch ($statut) {
       case "Prof":
           echo "<BODY class='arialprof'>";
           print "<p class=\"sous_titre\" align=\"center\">Gestion des groupes</p>";
           if ($etab_groupes_profs==1) {
                    $ajout_tit="";
                    $sql_from="classes ";
                    $sql_supp="";
              } else {
                      $ajout_tit="<br />(dans lesquels vous êtes inscrit)";
                      $sql_from="classes, lien_profs_classes  ";
                      $sql_supp="AND classes.classe_id=lien_profs_classes.classe_id
              				AND lien_profs_classes.prof_id=$sess_mec_id ";
                      }

           $sqlclagro="SELECT * from ".$sql_from.
             "WHERE  etab_id=$etab_id  AND divgro='G' ".$sql_supp.
             "  ORDER by divgro, divcod ;";
           $separ="";

           break;
       case "Admin":
           echo "<BODY class='arialadmin' onload='document.new_classe.nom_classe.focus();'>";
           print "<p class=\"sous_titre\" align=\"center\">Ajout Suppression de classes et de groupes</p>";
           $sqlclagro="SELECT * from classes
             WHERE  etab_id=$etab_id ORDER by divgro, divcod ;";
           $separ="/";
           $ajout_tit="";
           break;
       case "Gest":
           echo "<BODY class='arialgest' onload='document.new_classe.nom_classe.focus();'>";
           print "<p class=\"sous_titre\" align=\"center\">Ajout Suppression de classes et de groupes</p>";
           $sqlclagro="SELECT * from classes
             WHERE  etab_id=$etab_id ORDER by divgro, divcod ;";
           $separ="/";
           $ajout_tit="";
           break;
   }


if (!isset($new_class)) { //Premier passage

   $conn  = mysql_connect($host, $user, $mdp);
   mysql_select_db($db, $conn) or die ("Impossible d'accéder à $db");;


  //On met à jour les liens des classes
//lienselevesclasses($etab_id,0);


   $result=mysql_query ($sqlclagro,$conn) or die ("Echec de la requête $sqlclagro");




   //Tableau de tableau   (modif jmt mis 2 lignes au tableau large pour alignement des titres)
   print "<div align = \"center\"><table border='0' width='95%'>";
   print "<tr height=\"40\"><td width=\"65%\"  valign=\"middle\">";
         //
         // Préparation des titres puis Préparation tableau pour classes à gauche
         //Pour les profs uniquement les groupes
         if ($statut=='Prof') {
            $clgr='';
            $nouv_clgr="Création d'un nouveau groupe";
            $tit_clgr="[G] Groupe";
            } else {
            $clgr='classes et ';
            $tit_clgr="[D] Classe ou [G] Groupe";
            $nouv_clgr="Création d'une nouvelle classe ou groupe";
            }

         print "<p align=\"center\"><b>Liste des $clgr groupes actuels $ajout_tit</b></br></p>";
         print "</td> ";

         if (($statut!='Prof') or ($etab_groupes_profs==1)) {
           print "<td><p align=\"center\"><b>$nouv_clgr</b><br> </p></td>";

           }
         print "</tr><tr><td>";
         print "<div align=\"center\"><table border=\"1\" width=\"98%\">";
         print "<tr class=\"rubrique\"><td width=\"240\">Action</td><td>Libellé</td><td>$tit_clgr</td><td>Nombre d'élèves</td></tr>";
         //Mémoire classe à 0 ?
         $RAMzeroelev=1;
		 while($row=mysql_fetch_array($result)) {
               $divcod=$row['divcod'];
               $divgro=$row['divgro'];
               $classe_id=$row['classe_id'];
               $nbelev=getnbeleves($etab_id,$classe_id);
               $RAMzeroelev*=$nbelev;
               if ($nbelev==0) 
                  $lien="javascript:if(confirm('Suppression confirmée ?')) document.location.href='supclasse.php?statut=".$statut."&classe_id=".$classe_id."&divcod=".urlencode($divcod)."';";
                
               else $lien="javascript:alert('Impossible, le groupe n\'est pas vide')";
               $lien2="modifgrp.php?statut=$statut&classe_id=$classe_id&divcod=".urlencode($divcod);
               $lienren="renommegrp.php?statut=$statut&classe_id=$classe_id&divcod=".urlencode($divcod);
               print "<tr align=\"center\" ><td>\n";
               if (($statut!='Prof') or ($etab_groupes_profs==1))
                    print "<a href=\"$lien\">Supprimer</a>&nbsp;$separ&nbsp;<a href=\"$lienren\">Renommer</a>";
               else print "&nbsp;";
               if ($divgro=='G') print "&nbsp;$separ&nbsp;<a href=\"$lien2\">Peupler</a>";
               print "</td><td>$divcod</td><td>$divgro</td><td>$nbelev</td></tr>";
               }
         print "</table></div>";
         if ($RAMzeroelev==0) print "<p class='attention'>&nbsp;&nbsp;&nbsp;Si vos incorporations sont terminées, vous devriez supprimer les classes ou groupes à 0 élève ! <br />(Ce n'est pas très beau dans les tableaux statistiques..)</p>";

   print "</td>"; //partie gauche = liste des classes

   //Zone pour nouvelle classe  à droite


   if (($statut!='Prof') or ($etab_groupes_profs==1)) {
	$PHP_SELF=basename($_SERVER['PHP_SELF']);
     print "<td valign=\"top\" align=\"center\">";
           print "<i></br>Libellé limité à 12 caractères, choisissez un codage significatif</i><br>";
     print "<p align=\"left\"><form name=\"new_classe\" target=\"_self\" method=\"post\" action=\"".$PHP_SELF."?statut=".$statut."\" onsubmit=\"return classeestbonne();\">";
     print "<input type=\"text\" name=\"nom_classe\" size=13 maxlength=12>";
     print "&nbsp;&nbsp;<input type=\"submit\" class=\"coul\" name=\"new_class\" value=\"Créer...\"><br><br>\n";
     if ($statut=='Prof') print "<input type=\"hidden\" name=\"CBgroupe\" checked >";
       else print "<input type=\"checkbox\" name=\"CBgroupe\" >&nbsp;&nbsp;Il s'agira d'un groupe<br><br>";
     //print "<input type=\"checkbox\" name=\"CB00000\" >&nbsp;&nbsp;Mettre l'élève test (00000) dans cette classe ou ce groupe";
     print "</form></p></td>";
     }
   print "</tr></table></div>";

   }
else { //2° passage, une nouvelle classe est demandée
   connecte($host, $user, $mdp, $db);
   $lib_divgro="la classe";
   if (isset($CBgroupe)) {
           $divgro='G';
           $lib_divgro="le groupe";
           } else $divgro='D';
   $nom_classe=trim($nom_classe);
   $sql_addclass="INSERT INTO classes ".
                       " SET divcod='".secs($nom_classe)."', etab_id=$etab_id, divgro='".secs($divgro)."';";
   $res=(@mysql_query($sql_addclass));
   $classe_id=@mysql_insert_id();
   //print "résultat :".$res;
   if  ($res) {
           $message="Création réussie pour $lib_divgro $nom_classe.";
       }
   else $message=" La demande a échoué, $lib_divgro existe sûrement déjà !!!";

   alert($message);
   goto("liste_classes.php?statut=$statut");
   }
?>

</BODY>
</HTML>